unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Label1: TLabel;
    Panel1: TPanel;
    procedure FormDestroy(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Akcja(Sender: TObject); //dla zdarzenia OnClick

  private
    przycisk: TButton;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Akcja(Sender:TObject);
begin
   Form1.Label1.Caption:='kliknięcie przycisku';
end;


procedure TForm1.Button1Click(Sender: TObject);
begin
if przycisk=nil then
begin
  przycisk:=TButton.Create(Self);
  przycisk.Parent:=Panel1;  //przycisk wyświetli się na panelu
  przycisk.Left:=20;
  przycisk.Top:=10;
  przycisk.Width:=60;
  przycisk.Height:=20;
  przycisk.Caption:='Nowy';
  przycisk.OnClick:=Akcja;
end;

end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  przycisk.Free; przycisk:=nil;
end;

end.
